﻿* Encoding: UTF-8.


*This file contains SPSS syntax for the examples from the Introduction to the Family Resources Survey workshop, Oct 2022. 

*Example: This example compares characteristics at household (ctband and tenure) and individual level (highght qualification) across three years of the survey. 

*Data: 
*The examples uses data from 2019-2020 and 2021-2022: 
     /*Department for Work and Pensions, Office for National Statistics, NatCen Social Research. (2021). Family Resources Survey, 2019-2020. [data collection]. UK Data Service. SN: 8802, DOI: 10.5255/UKDA-SN-8802-1
    https://beta.ukdataservice.ac.uk/datacatalogue/studies/study?id=8802
   /*Department for Work and Pensions, NatCen Social Research. (2022). Family Resources Survey, 2020-2021. [data collection]. UK Data Service. SN: 8948, DOI: 10.5255/UKDA-SN-8948-1
    https://beta.ukdataservice.ac.uk/datacatalogue/studies/study?id=8948
    Department for Work and Pensions, Office for National Statistics, NatCen Social Research. (2021). Family Resources Survey, 2018-2019. [data collection]. UK Data Service. SN: 8633, DOI: 10.5255/UKDA-SN-8633-1
    https://beta.ukdataservice.ac.uk/datacatalogue/studies/study?id=8633

cd "C:\add\directory\here".
show DIRECTORY.


/*Create a new dataset called 'tenure1' that contains the variables sernum, tenure and gross4 from the FRS 2020-21 
/*househol dataset*/. 

GET FILE ="UKDA-8948-spss\spss\spss25\househol.sav". 
SAVE OUTFILE = "tenure1.sav"
/KEEP sernum tenure gross4.
EXECUTE. 

GET FILE ="UKDA-8802-spss\spss\spss25\househol.sav".
SAVE OUTFILE = "tenure2.sav"
/KEEP sernum tenure gross4.
EXECUTE. 

GET FILE ="UKDA-8633-spss\spss\spss24\househol.sav".
SAVE OUTFILE = "tenure3.sav"
/KEEP sernum tenure gross4.
EXECUTE. 

GET FILE = "tenure1.sav". 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=tenure. 

GET FILE = "tenure2.sav". 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=tenure. 

GET FILE = "tenure3.sav". 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=tenure. 

*Analysis of FRS households by Council Tax Band between 2018-19 and 2020-21

GET FILE ="UKDA-8948-spss\spss\spss25\househol.sav". 
SAVE OUTFILE = "ctband1.sav"
/KEEP sernum ctband gross4.
EXECUTE. 

GET FILE ="UKDA-8802-spss\spss\spss25\househol.sav".
SAVE OUTFILE = "ctband2.sav"
/KEEP sernum ctband gross4.
EXECUTE. 

GET FILE ="UKDA-8633-spss\spss\spss24\househol.sav".
SAVE OUTFILE = "ctband3.sav"
/KEEP sernum ctband gross4.
EXECUTE. 

GET FILE = "ctband1.sav". 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=ctband. 

GET FILE = "ctband2.sav". 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=ctband. 

GET FILE = "ctband3.sav". 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=ctband. 

*Analysis of FRS adult respondents by highest qualifiaction level. 


/*Create a new dataset called 'dvhiqual1' that contains the variables sernum, benunit, person, dvhiqual and gross4 from the FRS 2020-21 househol dataset*/

GET FILE ="UKDA-8948-spss\spss\spss25\adult.sav". 
SAVE OUTFILE = "dvhiqual1.sav"
/KEEP sernum benunit person dvhiqual gross4.
EXECUTE. 

GET FILE ="UKDA-8802-spss\spss\spss25\adult.sav".
SAVE OUTFILE = "dvhiqual2.sav"
/KEEP sernum benunit person dvhiqual gross4.
EXECUTE. 

GET FILE ="UKDA-8633-spss\spss\spss24\adult.sav".
SAVE OUTFILE = "dvhiqual3.sav"
/KEEP sernum benunit person dvhiqual gross4.
EXECUTE. 

/*Recode the higest qualification variable (dvhiqual1) into highest qualification level (edlevel).
* Then, get the grossed frequency, percentage, and cumulative percentage for 2021-2022, 2019-2020 and 2018-2019

GET FILE = "dvhiqual1.sav". 
RECODE DVHIQUAL (1 thru 16=1) (17 thru 34=2) (35 thru 54=3) (55 thru 82=4) (83 thru 85=5) (86=6) INTO edlevel.
VARIABLE LABELS  edlevel 'Highest level of qualification'.
VALUE LABELS edlevel
1 'Level 4 or greater'
2 'Level 3'
3 'Level 2'
4 'Level 1'
5 'Entry level' 
6 'Other'. 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=edlevel. 

GET FILE = "dvhiqual2.sav". 
RECODE DVHIQUAL (1 thru 16=1) (17 thru 34=2) (35 thru 54=3) (55 thru 82=4) (83 thru 85=5) (86=6) INTO edlevel.
VARIABLE LABELS  edlevel 'Highest level of qualification'.
VALUE LABELS edlevel
1 'Level 4 or greater'
2 'Level 3'
3 'Level 2'
4 'Level 1'
5 'Entry level' 
6 'Other'. 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=edlevel. 

GET FILE = "dvhiqual3.sav". 
RECODE DVHIQUAL (1 thru 16=1) (17 thru 34=2) (35 thru 54=3) (55 thru 82=4) (83 thru 85=5) (86=6) INTO edlevel.
VARIABLE LABELS  edlevel 'Highest level of qualification'.
VALUE LABELS edlevel
1 'Level 4 or greater'
2 'Level 3'
3 'Level 2'
4 'Level 1'
5 'Entry level' 
6 'Other'. 
WEIGHT BY GROSS4.
FREQUENCIES VARIABLES=edlevel. 






